package com.qmth.sop.business.entity;

import com.qmth.sop.common.base.BaseEntity;
import com.qmth.sop.common.enums.ProductTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @Description 客户收件信息表
 * @Author haoguanghui
 * @date 2024/09/04
 */
@ApiModel(value = "SysCustomReceiver对象", description = "客户收件信息表")
public class SysCustomReceiver extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "类型，OFFICE：教务处，CLOUD_MARK：研究生")
    @NotBlank(message = "客户类型不能为空")
    private ProductTypeEnum type;

    @ApiModelProperty(value = "客户名称")
    @NotBlank(message = "客户名称不能为空")
    private String name;

    @ApiModelProperty(value = "具体单位")
    private String unit;

    @ApiModelProperty(value = "收件人")
    @NotBlank(message = "收件人不能为空")
    private String consignee;

    @ApiModelProperty(value = "收件人电话")
    @NotBlank(message = "收件人电话不能为空")
    private String consigneePhone;

    @ApiModelProperty(value = "收件人地址")
    @NotBlank(message = "收件人地址不能为空")
    private String consigneeAddress;

    public ProductTypeEnum getType() {
        return type;
    }

    public void setType(ProductTypeEnum type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getConsignee() {
        return consignee;
    }

    public void setConsignee(String consignee) {
        this.consignee = consignee;
    }

    public String getConsigneePhone() {
        return consigneePhone;
    }

    public void setConsigneePhone(String consigneePhone) {
        this.consigneePhone = consigneePhone;
    }

    public String getConsigneeAddress() {
        return consigneeAddress;
    }

    public void setConsigneeAddress(String consigneeAddress) {
        this.consigneeAddress = consigneeAddress;
    }
}
